Roku Developer Program

Join our online forum to talk to Roku developers and fellow channel creators. Ask questions, share tips with the community, and find helpful resources.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
edskitter
Visitor

Roku OS 8 and rsg_1.0 support

Please note that firmware version 8 this is the final firmware that supports the “ rsg_version=1.0[/url:19fu52s9]” manifest flag; all channels will have to adopt the current observer callback [/url:19fu52s9]model in successive firmware updates.

For the RSG support, does this mean 8.0 and all subsequent firmware 8.x releases will support this? Or only 8.0 will support rsg 1.0 and 8.1 and successive firmwares will require an app to upgrade to using rsg 1.1 and the current observer callback?
0 Kudos
1 REPLY 1
RokuNB
Roku Guru

Re: Roku OS 8 and rsg_1.0 support

The latter.
What it tries to say is that rsg_version=1.0 is being deprecated.
And while still honored in 8.0, that will not be the case in future versions.

Most likely this won't make a difference to your apps though. Just try commenting it out (#rsg_version=1.0) and test if there is a difference. In fact i would be curious to hear on any such channels, to which this setting matters
0 Kudos
Need Assistance?
Welcome to the Roku Community! Feel free to search our Community for answers or post your question to get help.

Become a Roku Streaming Expert!

Share your expertise, help fellow streamers, and unlock exclusive rewards as part of the Roku Community. Learn more.